<template>
    <div>
        <p>Фильтр Пользователей</p>
        <SearchInput name="name" placeholder="Имя" />
        <SearchInput name="email" placeholder="Емейл" />

        <FilterSelector
            placeholder="Роль"
            :items="rolesItems"
            text="name"
            name="role"
            v-model="currentRole"
        />
    </div>
</template>

<script>
import { mapActions, mapState } from "vuex";
import SearchInput from "@/components/Filter/SearchInput";
import { textContent } from "@/utils/textContent";
import FilterSelector from "@/components/Admin/FilterSelector";
export default {
    name: "UsersFilter",
    components: { FilterSelector, SearchInput },
    data: () => ({ currentRole: null }),
    methods: {
        ...mapActions("admin", ["getRoles"]),
    },
    computed: {
        ...mapState("admin", ["roles"]),
        rolesItems() {
            return this.roles.map((data) => ({
                ...data,
                name: textContent.roles[data.name],
            }));
        },
    },
    mounted() {
        this.getRoles();
    },
};
</script>

<style scoped></style>
